## kdenlive 25.08.2+p24.04+vstable+git20251030.0508

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251030.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 05:09:07 +0000

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Homepage: https://kdenlive.org/
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               ffmpeg,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kplotting-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libmlt++-dev,
               libmlt-dev,
               libswresample-dev,
               libv4l-dev,
               opentimelineio-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev
Vcs-Git: https://invent.kde.org/neon/forks/kdenlive.git
Vcs-Browser: https://invent.kde.org/neon/forks/kdenlive
Maintainer: Neon CI <neon@kde.org>

Package: kdenlive
Architecture: any
Depends: ffmpeg,
         frei0r-plugins,
         kdenlive-data (= ${source:Version}),
         kf6-kded,
         kf6-kio,
         mediainfo,
         melt,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: breeze-icon-theme,
            dvgrab,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 25.08.2+p24.04+vstable+git20251031.1019

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251031.1019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:19:59 +0000

## kdenlive 25.08.2+p24.04+vunstable+git20251015.1657

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>, Jean-Baptiste Mardelle <jb@kdenlive.org>, Alberto Villa <avilla@FreeBSD.org>, Albert Astals Cid <aacid@kde.org>, Vincent Pinon <vpinon@kde.org>, Laurent Montel <montel@kde.org>, Vincent Pinon <vincent.pinon@asygn.com>, Nicolas Carion <french.ebook.lover@gmail.com>

cmake_minimum_required(VERSION 3.16)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "70")

set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Kdenlive VERSION ${KDENLIVE_VERSION})

include(FeatureSummary)
include(GenerateExportHeader)

# Register CMake options
option(RELEASE_BUILD "Remove Git revision from program version" ON) # To be switched on when releasing.
option(BUILD_TESTING "Build tests" ON)
option(CRASH_AUTO_TEST "Auto-generate testcases upon some crashes (uses RTTR library, needed for fuzzing)" OFF)
option(BUILD_FUZZING "Build fuzzing target" OFF)
option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(FETCH_OTIO_DEFAULT OFF)
if(APPLE OR BSD)
    # We don't want to fetch OTIO by default and long term might not even offer this option,
    # however there is a bug (crash) with the shared builds of OTIO on FreeBSD and in Craft on macOS
    # Hence we keep the fetching enabled as a stop gap solution on these platforms
    # https://invent.kde.org/multimedia/kdenlive/-/issues/1992
    set(FETCH_OTIO_DEFAULT ON)
endif()

option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ${FETCH_OTIO_DEFAULT})

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 7)
set(MLT_MIN_MINOR_VERSION 28)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# Qt version
set(QT_MIN_VERSION 6.5.0)
set(KF_DEP_VERSION "6.3.0")

find_package(ECM ${KF_DEP_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

if (NOT DEFINED QT_MAJOR_VERSION)
    set(QT_MAJOR_VERSION 6)
endif()

# The dependencies (currently only OpenTimelineIO) are located in a
# subdirectory so their CMake variables are not exposed to the main project.
#
# Note that this needs to come before the KDECompilerSettings. OTIO is not
# compatible with the KDE compiler flag "-fno-operator-names".
add_subdirectory(deps)

## include ECM Modules
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
include(ECMAddQch)
include(ECMDeprecationSettings)
include(ECMQmlModule)
remove_definitions(-DQT_NO_CAST_FROM_ASCII) # Defined in KDECompilerSettings, but we don't want that yet
# MLT uses variadic macros upstream and hence the build log gets spamed, so disable the warning
if(NOT MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-variadic-macros")
endif()

# KDE Frameworks
if (NOT DEFINED KF_MAJOR)
  set(KF_MAJOR ${QT_MAJOR_VERSION})
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF${KF_MAJOR} ${KF_DEP_VERSION}
    REQUIRED COMPONENTS
    I18n
    Archive
    Bookmarks
    Codecs
    CoreAddons
    Config
    ConfigWidgets
    KIO
    WidgetsAddons
    NotifyConfig
    NewStuff
    XmlGui
    Notifications
    GuiAddons
    TextWidgets
    IconThemes
    Solid
    FileMetaData
    Purpose

    OPTIONAL_COMPONENTS
    DocTools
    Crash
)

ecm_set_disabled_deprecation_versions(
    QT ${QT_MIN_VERSION}
    KF ${KF_DEP_VERSION}
)

# Qt targets
find_package(Qt${QT_MAJOR_VERSION}
    REQUIRED COMPONENTS
    Core Widgets
    Svg
    Quick
    QuickControls2
    Concurrent
    QuickWidgets
    Multimedia
    MultimediaWidgets
    NetworkAuth
    SvgWidgets
    Xml
    # Test
)

if(USE_DBUS)
    find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
    find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS DBus)
endif()
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt${QT_MAJOR_VERSION}Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# LibAV
find_package(FFmpeg REQUIRED COMPONENTS
    AVFORMAT
    AVCODEC
    SWRESAMPLE
    AVUTIL
)

# OpenTimelineIO
if(FETCH_OTIO)
    include_directories(${otio_SOURCE_DIR}/src)
    # Enable exceptions for OTIO and dependencies.
    kde_target_enable_exceptions(opentime PUBLIC)
    kde_target_enable_exceptions(opentimelineio PUBLIC)
    kde_target_enable_exceptions(Imath PUBLIC)
else()
    find_package(OpenTimelineIO REQUIRED)
    # Work around for header oddity with OTIO and Imath
    find_package(Imath REQUIRED)
    get_target_property(IMATH_INCLUDE_DIRS Imath::Imath INTERFACE_INCLUDE_DIRECTORIES)
    include_directories("${IMATH_INCLUDE_DIRS}/Imath")
    set_package_properties(OpenTimelineIO PROPERTIES
        DESCRIPTION "API and interchange format for editorial timeline information"
        URL "http://opentimeline.io/"
        PURPOSE "Required for OpenTimelineIO import and export")
endif()

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
endif()

# macOS
if(APPLE)
    set(DATA_INSTALL_PREFIX "")
else()
    set(DATA_INSTALL_PREFIX "/kdenlive")
endif()

if(KF${KF_MAJOR}DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_FULL_VERSION_STRING "${KDENLIVE_VERSION} - rev. ${KDENLIVE_GIT_REVISION}")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

if(CRASH_AUTO_TEST)
  if(BUILD_DESIGNERPLUGIN)
    message(SEND_ERROR "The options CRASH_AUTO_TEST and BUILD_DESIGNERPLUGIN do not work together, disable one of both.")
  endif()
  find_package(RTTR 0.9.6 QUIET)
  if(NOT RTTR_FOUND)
    message(STATUS "RTTR not found on system, will download source and build it")
    include(rttr.CMakeLists.txt)
  endif()
  if(BUILD_FUZZING)
    set(ECM_ENABLE_SANITIZERS fuzzer;address)
  endif()
endif()

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
add_subdirectory(thumbnailer)
add_subdirectory(data)

# Install
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Kdenlive_QCH
        FILE KdenliveQCHTargets.cmake
        DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/cmake/kdenlive"
        COMPONENT Devel
    )
endif()

include(GNUInstallDirs)
install(FILES AUTHORS README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(DIRECTORY LICENSES DESTINATION ${CMAKE_INSTALL_DOCDIR})

ecm_qt_install_logging_categories(
    EXPORT KDENLIVE
    FILE kdenlive.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

# Tests
if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(appiumtests)
endif()
if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    add_subdirectory(fuzzer)
elseif(BUILD_FUZZING)
    message(STATUS "Fuzzing build was requested but not enabled because compiler is ${CMAKE_CXX_COMPILER_ID} and not Clang")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# pre-commit hook
include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== appiumtests/CMakeLists.txt ===
#    SPDX-License-Identifier: GPL-3.0-or-later
#    SPDX-FileCopyrightText: 2023 Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()

find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
    DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
    PURPOSE "Needed for GUI tests"
    URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
    TYPE OPTIONAL
)
if(NOT SeleniumWebDriverATSPI_FOUND AND NOT DEFINED ENV{KDECI_BUILD})
    return()
endif()

add_test(
    NAME appiumtests
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/insertclip.py
)
set_tests_properties(appiumtests PROPERTIES TIMEOUT 300 ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR}/bin")

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Kdenlive contributors
# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL


### Find packages files
if(WIN32)
    set(MLT_MELTBIN "melt.exe")
    set(MLT_DATADIR "../share/mlt")
elseif(APPLE)
    set(MLT_MELTBIN "melt")
    set(MLT_DATADIR "../Resources/mlt")
else()
    find_package(PkgConfig QUIET)
    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=mltdatadir mlt-framework-7
        OUTPUT_VARIABLE MLT_DATADIR
        RESULT_VARIABLE MLT_DATADIR_failed)
    if(NOT MLT_DATADIR_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_DATADIR "${MLT_DATADIR}")
    endif()

    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=meltbin mlt-framework-7
        OUTPUT_VARIABLE MLT_MELTBIN
        RESULT_VARIABLE MLT_MELTBIN_failed)
    if(NOT MLT_MELTBIN_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_MELTBIN "${MLT_MELTBIN}")
    endif()
endif()
configure_file(mlt_config.h.in ${CMAKE_BINARY_DIR}/mlt_config.h)

check_include_files(linux/input.h HAVE_LINUX_INPUT_H)
if(HAVE_LINUX_INPUT_H)
    list(APPEND kdenlive_SRCS
        jogshuttle/jogmanager.cpp
        jogshuttle/jogaction.cpp
        jogshuttle/jogshuttle.cpp
        jogshuttle/jogshuttleconfig.cpp)
endif()

### Find source files
add_subdirectory(abstractmodel)
add_subdirectory(assets)
add_subdirectory(audiomixer)
add_subdirectory(bin)
add_subdirectory(capture)
add_subdirectory(dialogs)
add_subdirectory(doc)
add_subdirectory(effects)
add_subdirectory(jobs)
add_subdirectory(lib)
add_subdirectory(library)
add_subdirectory(mltcontroller)
add_subdirectory(monitor)
add_subdirectory(onlineresources)
add_subdirectory(otio)
add_subdirectory(profiles)
add_subdirectory(project)
add_subdirectory(pythoninterfaces)
add_subdirectory(render)
add_subdirectory(renderpresets)
add_subdirectory(scopes)
add_subdirectory(timeline2)
add_subdirectory(titler)
add_subdirectory(transitions)
add_subdirectory(utils)
add_subdirectory(widgets)
add_subdirectory(xml)
add_subdirectory(layouts)

## toplevel source code files
list(APPEND kdenlive_SRCS
    core.cpp
    definitions.cpp
    docktitlebarmanager.cpp
    mainwindow.cpp
    mltconnection.cpp
    statusbarmessagelabel.cpp
    undohelper.cpp
    glaxnimatelauncher.cpp
    filefilter.cpp
    powermanagementinterface.cpp
)

if(CRASH_AUTO_TEST)
    list(APPEND kdenlive_SRCS logger.cpp)
endif()

ecm_qt_declare_logging_category(kdenlive_SRCS
    HEADER kdenlive_debug.h
    IDENTIFIER KDENLIVE_LOG
    CATEGORY_NAME org.kde.kdenlive
    OLD_CATEGORY_NAMES org.kde.multimedia.kdenlive
    DESCRIPTION "Kdenlive"
    EXPORT KDENLIVE
)

if(USE_DBUS)
    qt_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
endif()

## UI's
file(GLOB kdenlive_UIS "ui/*.ui")
ki18n_wrap_ui(kdenlive_UIS ${kdenlive_UIS})

add_library(kdenliveLib STATIC ${kdenlive_SRCS} ${kdenlive_UIS} definitions.h lib/localeHandling.cpp lib/localeHandling.h)

kconfig_target_kcfg_file(kdenliveLib
    FILE kdenlivesettings.kcfg
    CLASS_NAME KdenliveSettings
    MUTATORS
    SINGLETON

    GENERATE_PROPERTIES
    GENERATE_MOC

    QML_REGISTRATION

    # DEFAULT_VALUE_GETTERS
)
install(FILES kdenlivesettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_add_qml_module(kdenliveLib
    URI org.kde.kdenlive
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
      QtQuick
)

ecm_target_qml_sources(kdenliveLib
    SOURCES
    qml/ZoomBar.qml
    monitor/view/ProjectMonitor.qml
    monitor/view/Countdown.qml
    monitor/view/ClipMonitor.qml
    monitor/view/MonitorAutomask.qml
    monitor/view/MonitorCornerScene.qml
    monitor/view/MonitorGeometryScene.qml
    monitor/view/MonitorOverlay.qml
    monitor/view/MonitorRotoScene.qml
    monitor/view/MonitorSplit.qml
    monitor/view/MonitorSplitTracks.qml
    monitor/view/MonitorToolButton.qml
    monitor/view/MonitorTrimming.qml
    monitor/view/SceneToolBar.qml
    monitor/view/MultiScreenToolBar.qml
    monitor/view/EffectToolBar.qml
    monitor/view/MaskToolBar.qml
    monitor/view/MonitorRuler.qml
    monitor/view/OverlayStandard.qml
    monitor/view/OverlayMinimal.qml
    monitor/view/OverlayCenter.qml
    monitor/view/OverlayCenterDiagonal.qml
    monitor/view/OverlayThirds.qml
    monitor/view/OverlayLabel.qml
    monitor/view/ResizeHandle.qml
    monitor/view/ResizeLogic.js
    monitor/view/SnappingLogic.js
    monitor/view/RotationHandle.qml
    timeline2/view/qml/Timeline.qml
    timeline2/view/qml/TimelineLogic.js
    timeline2/view/qml/TrackHead.qml
    timeline2/view/qml/SubtitleTrackHead.qml
    timeline2/view/qml/AudioRecordingControls.qml
    timeline2/view/qml/AudioRecordButton.qml
    timeline2/view/qml/AudioLevels.qml
    timeline2/view/qml/Track.qml
    timeline2/view/qml/Ruler.qml
    timeline2/view/qml/RulerZone.qml
    timeline2/view/qml/Clip.qml
    timeline2/view/qml/SubTitle.qml
    timeline2/view/qml/MixShape.qml
    timeline2/view/qml/ClipThumbs.qml
    timeline2/view/qml/ClipAudioThumbs.qml
    timeline2/view/qml/KeyframeView.qml
    timeline2/view/qml/Composition.qml
    timeline2/view/qml/PulsingAnimation.qml
    timeline2/view/qml/CornerSelectionShadow.qml
    assets/view/qml/AssetView.qml
    timeline2/view/qml/AssetMenu.qml
    timeline2/view/qml/GuidesMenu.qml
)

qt_add_resources(kdenlive_extra_SRCS icons.qrc uiresources.qrc)

## Icon for Windows and MacOS.
## The svg (or svgz) icon must be provided first to be used on MacOS
set(ICONS_FOLDER ${CMAKE_CURRENT_SOURCE_DIR}/../data/icons)
set(ICON_FILES
  ${ICONS_FOLDER}/sc-apps-kdenlive.svg
  ${ICONS_FOLDER}/16-apps-kdenlive.png
  ${ICONS_FOLDER}/22-apps-kdenlive.png
  ${ICONS_FOLDER}/32-apps-kdenlive.png
  ${ICONS_FOLDER}/48-apps-kdenlive.png
  ${ICONS_FOLDER}/64-apps-kdenlive.png
  ${ICONS_FOLDER}/128-apps-kdenlive.png
  ${ICONS_FOLDER}/256-apps-kdenlive.png
  ${ICONS_FOLDER}/512-apps-kdenlive.png
  ${ICONS_FOLDER}/1024-apps-kdenlive.png
)
ecm_add_app_icon(kdenlive ICONS ${ICON_FILES})

## Kdenlive Executable
add_executable(kdenlive main.cpp ${kdenlive_extra_SRCS} ${kdenlive})
target_include_directories(kdenlive
    PRIVATE ${CMAKE_BINARY_DIR}
    )
target_include_directories(kdenlive
	SYSTEM PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
target_link_libraries(kdenlive kdenliveLib kdenliveLibplugin)
install(TARGETS kdenlive DESTINATION ${KDE_INSTALL_BINDIR})

## Kdenlive Lib
target_include_directories(kdenliveLib PRIVATE
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/utils
    ${CMAKE_CURRENT_SOURCE_DIR}/timeline2/view/qml
    )
target_include_directories(kdenliveLib
	SYSTEM  PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
# Adds Qt definitions and include directories, and sets QT_LIBRARIES according
# to the components requested in find_package().
# KDE definitions and include directories *must* always come first, Qt follows
# (to avoid breaking builds when KDE and/or Qt are installed to different
# prefixes).
target_link_libraries(kdenliveLib PUBLIC
    KF${KF_MAJOR}::I18n
    KF${KF_MAJOR}::WidgetsAddons
    KF${KF_MAJOR}::Archive
    KF${KF_MAJOR}::CoreAddons
    KF${KF_MAJOR}::KIOCore
    KF${KF_MAJOR}::Codecs
    KF${KF_MAJOR}::KIOFileWidgets
    KF${KF_MAJOR}::KIOWidgets
    KF${KF_MAJOR}::NewStuffWidgets
    KF${KF_MAJOR}::NotifyConfig
    KF${KF_MAJOR}::XmlGui
    KF${KF_MAJOR}::GuiAddons
    KF${KF_MAJOR}::Notifications
    KF${KF_MAJOR}::TextWidgets
    KF${KF_MAJOR}::IconThemes
    KF${KF_MAJOR}::Solid
    KF${KF_MAJOR}::FileMetaData
    KF${KF_MAJOR}::Purpose
    KF${KF_MAJOR}::PurposeWidgets
    ${OPENGL_LIBRARIES}
    ${OPENGLES_LIBRARIES}
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES}
    OTIO::opentimelineio
    ${CMAKE_DL_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    kiss_fft
    )

if(KF6_VERSION VERSION_GREATER_EQUAL "6.8.0")
  target_link_libraries(kdenliveLib PUBLIC KF${KF_MAJOR}::I18nQml)
endif()

target_link_libraries(kdenliveLib PUBLIC
    Qt${QT_MAJOR_VERSION}::Svg
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickControls2
    Qt${QT_MAJOR_VERSION}::QuickWidgets
    Qt${QT_MAJOR_VERSION}::Concurrent
    Qt${QT_MAJOR_VERSION}::Multimedia
    Qt${QT_MAJOR_VERSION}::MultimediaWidgets
    Qt${QT_MAJOR_VERSION}::NetworkAuth
    Qt${QT_MAJOR_VERSION}::SvgWidgets
    # Qt${QT_MAJOR_VERSION}::Test
)

target_link_libraries(kdenliveLib PUBLIC FFmpeg::FFmpeg)

if(WIN32)
    target_link_libraries(kdenliveLib PUBLIC d3d11 d3dcompiler)
endif()

if(USE_DBUS)
  target_link_libraries(kdenliveLib PUBLIC KF${KF_MAJOR}::DBusAddons)
endif()
if(BUILD_COVERAGE)
  target_link_libraries(kdenliveLib PUBLIC gcov)
endif()
set_property(TARGET kdenliveLib PROPERTY CXX_STANDARD 14)
add_definitions(${qt${QT_MAJOR_VERSION}gui_definitions} -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

# Optional deps
if(CRASH_AUTO_TEST)
    target_compile_definitions(kdenliveLib PRIVATE CRASH_AUTO_TEST)
    if(TARGET RTTR::Core)
        target_link_libraries(kdenliveLib RTTR::Core)
    else()
        target_link_libraries(kdenliveLib RTTR::Core_Lib)
    endif()
endif()

if(DRMINGW_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DUSE_DRMINGW)
    target_include_directories(kdenlive SYSTEM PRIVATE ${DRMINGW_INCLUDE_DIR})
    target_link_libraries(kdenlive ${DRMINGW_LIBRARY})
elseif(KF${KF_MAJOR}Crash_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DKF5_USE_CRASH)
    target_link_libraries(kdenlive KF${KF_MAJOR}::Crash)
endif()

if(Q_WS_X11)
	target_include_directories(kdenliveLib SYSTEM PRIVATE ${X11_Xlib_INCLUDE_PATH})
    target_link_libraries(kdenliveLib PUBLIC ${X11_LIBRARIES})
endif()

if(SDL2_FOUND)
    target_link_libraries(kdenliveLib PUBLIC ${SDL2_LIBRARY})
elseif(SDL_FOUND)
    target_link_libraries(kdenliveLib PUBLIC ${SDL_LIBRARY})
endif()

if(HAVE_LINUX_INPUT_H)
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_JOGSHUTTLE)
    target_link_libraries(kdenliveLib PUBLIC media_ctrl)
endif()

if(APPLE)
    set_target_properties(kdenlive PROPERTIES MACOSX_BUNDLE ON)
endif()


if(NOT USE_DBUS)
    target_compile_definitions(kdenliveLib PRIVATE -DNODBUS)
    target_compile_definitions(kdenlive PRIVATE -DNODBUS)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        Kdenlive_QCH
        NAME kdenlive
        VERSION ${KDENLIVE_VERSION}
        ORG_DOMAIN org.kde
        SOURCE_DIRS
            .
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

# TODO: enable once a few more warning are fixed
# add_dependencies(kdenlive all_qmllint)

ecm_finalize_qml_module(kdenliveLib
    DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vunstable+git20251015.1657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:57:38 +0000

## kdenlive 25.08.2+p24.04+vunstable+git20251020.0031

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vunstable+git20251020.0031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:31:46 +0000

## kdenlive 25.08.2+p24.04+vunstable+git20251022.0256

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -130,6 +130,8 @@
 ecm_target_qml_sources(kdenliveLib
     SOURCES
     qml/ZoomBar.qml
+    monitor/view/AudioView.qml
+    monitor/view/AudioZoomBar.qml
     monitor/view/ProjectMonitor.qml
     monitor/view/Countdown.qml
     monitor/view/ClipMonitor.qml
@@ -157,6 +159,7 @@
     monitor/view/ResizeLogic.js
     monitor/view/SnappingLogic.js
     monitor/view/RotationHandle.qml
+    monitor/view/Utils.js
     timeline2/view/qml/Timeline.qml
     timeline2/view/qml/TimelineLogic.js
     timeline2/view/qml/TrackHead.qml

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vunstable+git20251022.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:56:47 +0000

## kdenlive 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -25,17 +25,7 @@
 option(BUILD_FUZZING "Build fuzzing target" OFF)
 option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
-set(FETCH_OTIO_DEFAULT OFF)
-if(APPLE OR BSD)
-    # We don't want to fetch OTIO by default and long term might not even offer this option,
-    # however there is a bug (crash) with the shared builds of OTIO on FreeBSD and in Craft on macOS
-    # Hence we keep the fetching enabled as a stop gap solution on these platforms
-    # https://invent.kde.org/multimedia/kdenlive/-/issues/1992
-    set(FETCH_OTIO_DEFAULT ON)
-endif()
-
-option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ${FETCH_OTIO_DEFAULT})
+option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ON)
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -138,7 +128,6 @@
     Concurrent
     QuickWidgets
     Multimedia
-    MultimediaWidgets
     NetworkAuth
     SvgWidgets
     Xml
@@ -160,11 +149,12 @@
 message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")
 
 # LibAV
-find_package(FFmpeg REQUIRED COMPONENTS
-    AVFORMAT
-    AVCODEC
-    SWRESAMPLE
-    AVUTIL
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(LIBAV REQUIRED IMPORTED_TARGET
+    libavformat
+    libavcodec
+    libswresample
+    libavutil
 )
 
 # OpenTimelineIO
@@ -211,7 +201,7 @@
 
 # Get current version.
 set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
-if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
+if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
   # Probably a Git workspace; determine the revision.
   find_package(Git QUIET)
   if(GIT_FOUND)
@@ -219,7 +209,7 @@
 	  ARGS "log -n 1 --pretty=format:\"%h\""
       OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
     message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
-    set(KDENLIVE_FULL_VERSION_STRING "${KDENLIVE_VERSION} - rev. ${KDENLIVE_GIT_REVISION}")
+    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
   else()
     message(STATUS "Kdenlive Git revision could not be determined")
   endif()
@@ -274,7 +264,6 @@
 # Tests
 if(BUILD_TESTING)
     add_subdirectory(tests)
-    add_subdirectory(appiumtests)
 endif()
 if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
     add_subdirectory(fuzzer)

=== renderer/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Vincent Pinon <vpinon@kde.org>, Jean-Baptiste Mardelle <jb@kdenlive.org>

set(QT_DONT_USE_QTGUI 1)
if(USE_DBUS)
    set(QT_USE_QTDBUS 1)
endif()
include_directories(
    ${MLT_INCLUDE_DIR}
    ${MLTPP_INCLUDE_DIR}
)

set(kdenlive_render_SRCS
  kdenlive_render.cpp
  renderjob.cpp
  ../src/lib/localeHandling.cpp
)

ecm_qt_declare_logging_category(kdenlive_render_SRCS
    HEADER kdenlive_renderer_debug.h
    IDENTIFIER KDENLIVE_RENDERER_LOG
    CATEGORY_NAME org.kde.kdenlive.render
    DESCRIPTION "kdenlive"
    EXPORT KDENLIVE
)

add_executable(kdenlive_render ${kdenlive_render_SRCS})
ecm_mark_nongui_executable(kdenlive_render)

target_link_libraries(kdenlive_render
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::Xml
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES})
if(NOT USE_DBUS)
    target_compile_definitions(kdenlive_render PRIVATE NODBUS)
    target_link_libraries(kdenlive_render Qt${QT_MAJOR_VERSION}::Network)
else()
    target_link_libraries(kdenlive_render Qt${QT_MAJOR_VERSION}::DBus)
    target_link_libraries(kdenlive_render Qt${QT_MAJOR_VERSION}::Network)
endif()

install(TARGETS kdenlive_render DESTINATION ${KDE_INSTALL_BINDIR})

=== data/luts/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

INSTALL(FILES 
    BLUE_TINT.cube
    CINEMATIC.cube
    GREEN_TINT.cube
    TEAL_ORANGE.cube
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/luts)

=== src/abstractmodel/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Nicolas Carion <french.ebook.lover@gmail.com>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  abstractmodel/abstracttreemodel.cpp
  abstractmodel/treeitem.cpp
  PARENT_SCOPE)

=== src/profiles/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Nicolas Carion <french.ebook.lover@gmail.com>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  profiles/profileinfo.cpp
  profiles/profilerepository.cpp
  profiles/profilemodel.cpp
  profiles/tree/profiletreemodel.cpp
  profiles/tree/profilefilter.cpp
  PARENT_SCOPE)

=== src/widgets/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Julius Künzel <julius.kuenzel@kde.org>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  widgets/choosecolorwidget.cpp
  widgets/colorpickerwidget.cpp
  widgets/doublewidget.cpp
  widgets/dragvalue.cpp
  widgets/elidedfilelinklabel.cpp
  widgets/geometrywidget.cpp
  widgets/markercategorychooser.cpp
  widgets/markercategorybutton.cpp
  widgets/positionwidget.cpp
  widgets/precisionspinbox.cpp
  widgets/progressbutton.cpp
  widgets/timecodedisplay.cpp
  widgets/subtitletextedit.cpp
  PARENT_SCOPE
)

include(ECMAddQtDesignerPlugin)

if (BUILD_DESIGNERPLUGIN)
    ecm_qtdesignerplugin_widget(TimecodeDisplay
        INCLUDE_FILE widgets/timecodedisplay.h
        TOOLTIP "A custom QSpinBox widget to enter timecodes (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_qtdesignerplugin_widget(ColorPickerWidget
        INCLUDE_FILE widgets/colorpickerwidget.h
        TOOLTIP "A custom QSpinBox widget to enter timecodes (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_qtdesignerplugin_widget(ChooseColorWidget
        INCLUDE_FILE widgets/choosecolorwidget.h
        TOOLTIP "A custom QSpinBox widget to enter timecodes (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_qtdesignerplugin_widget(MarkerCategoryChooser
        INCLUDE_FILE widgets/markercategorychooser.h
        TOOLTIP "A QComboBox that can be used to select a marker category (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_qtdesignerplugin_widget(MarkerCategoryButton
        INCLUDE_FILE widgets/markercategorybutton.h
        TOOLTIP "A QToolButton that can be used to select one or several marker categories (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_qtdesignerplugin_widget(PrecisionSpinBox
        INCLUDE_FILE widgets/precisionspinbox.h
        TOOLTIP "A double spinbox allowing an arbitrary nubmer of decimals (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_qtdesignerplugin_widget(ElidedFileLinkLabel
        INCLUDE_FILE widgets/elidedfilelinklabel.h
        TOOLTIP "An elided label with clickable text to open a and highlight a file in the file explorer (Kdenlive)"
        GROUP "Kdenlive Widgets"
    )

    ecm_add_qtdesignerplugin(kdenlivewidgets
        NAME KdenliveWidgets
        WIDGETS
            TimecodeDisplay
            ColorPickerWidget
            ChooseColorWidget
            MarkerCategoryChooser
            MarkerCategoryButton
            PrecisionSpinBox
            ElidedFileLinkLabel
        LINK_LIBRARIES
            kdenliveLib
        INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
        COMPONENT Devel
    )
endif()

=== data/effects/avfilter/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Massimo Stella <maxstar@tin.it>

INSTALL (FILES 

acompressor.xml
aecho.xml
agate.xml
avfilter_acontrast.xml
avfilter_acrusher.xml
avfilter_alimiter.xml
avfilter_allpass.xml
avfilter_aphaser.xml
avfilter_apulsator.xml
avfilter_atadenoise.xml
avfilter_avgblur.xml
avfilter_bandpass.xml
avfilter_bandreject.xml
avfilter_bass.xml
avfilter_bilateral.xml
avfilter_boxblur.xml
avfilter_bs2b.xml
avfilter_bwdif.xml
avfilter_cas.xml
avfilter_ciescope.xml
avfilter_chromahold.xml
avfilter_chromanr.xml
avfilter_chromashift.xml
avfilter_colorbalance.xml
avfilter_colorchannelmixer.xml
avfilter_colorcontrast.xml
avfilter_colorcorrect.xml
avfilter_colorhold.xml
avfilter_colorize.xml
avfilter_colorlevels.xml
avfilter_colormatrix.xml
avfilter_colorspace.xml
avfilter_colortemperature.xml
avfilter_compand.xml
avfilter_compensationdelay.xml
avfilter_crossfeed.xml
avfilter_crystalizer.xml
avfilter_datascope.xml
avfilter_dblur.xml
avfilter_dcshift.xml
avfilter_dctdnoiz.xml
avfilter_deband.xml
avfilter_deblock.xml
avfilter_dedot.xml
avfilter_deesser.xml
avfilter_deflate.xml
avfilter_delogo.xml
avfilter_derain.xml
avfilter_despill.xml
avfilter_dilation.xml
avfilter_doubleweave.xml
avfilter_drawbox.xml
avfilter_drawgrid.xml
avfilter_edgedetect.xml
avfilter_elbg.xml
avfilter_epx.xml
avfilter_eq.xml
avfilter_equalizer.xml
avfilter_erosion.xml
avfilter_exposure.xml
avfilter_extrastereo.xml
avfilter_fftdnoiz.xml
avfilter_fftfilt.xml
avfilter_field.xml
avfilter_fieldorder.xml
avfilter_fillborders.xml
avfilter_flanger.xml
avfilter_framestep.xml
avfilter_fspp.xml
avfilter_gblur.xml
avfilter_gradfun.xml
avfilter_graphmonitor.xml
avfilter_haas.xml
avfilter_hflip.xml
avfilter_highpass.xml
avfilter_highshelf.xml
avfilter_histeq.xml
avfilter_histogram.xml
avfilter_hqdn3d.xml
avfilter_hqx.xml
avfilter_hsvhold.xml
avfilter_hsvkey.xml
avfilter_huesaturation.xml
avfilter_il.xml
avfilter_inflate.xml
avfilter_kerneldeint.xml
avfilter_kirsch.xml
avfilter_lagfun.xml
avfilter_lenscorrection.xml
avfilter_limiter.xml
avfilter_loudnorm.xml
avfilter_lowpass.xml
avfilter_lowshelf.xml
avfilter_lut3d.xml
avfilter_mcdeint.xml
avfilter_median.xml
avfilter_monochrome.xml
avfilter_negate.xml
avfilter_noise.xml
avfilter_normalize.xml
avfilter_oscilloscope.xml
avfilter_phase.xml
avfilter_photosensitivity.xml
avfilter_pixelize.xml
avfilter_prewitt.xml
avfilter_random.xml
avfilter_removegrain.xml
avfilter_rgbashift.xml
avfilter_roberts.xml
avfilter_sab.xml
avfilter_scharr.xml
avfilter_scroll.xml
avfilter_selectivecolor.xml
avfilter_separatefields.xml
avfilter_setrange.xml
avfilter_shear.xml
avfilter_shuffleplanes.xml
avfilter_smartblur.xml
avfilter_sobel.xml
avfilter_sofalizer.xml
avfilter_sr.xml
avfilter_stereo3D.xml
avfilter_stereotools.xml
avfilter_stereowiden.xml
avfilter_tmix.xml
avfilter_transpose.xml
avfilter_unsharp.xml
avfilter_vaguedenoiser.xml
avfilter_vectorscope.xml
avfilter_vflip.xml
avfilter_vibrance.xml
avfilter_vibrato.xml
avfilter_w3fdif.xml
avfilter_waveform.xml
avfilter_weave.xml
avfilter_xbr.xml
avfilter_yadif.xml
avfilter_zoompan.xml
subtitles.xml
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)

=== data/effects/movit/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES 

movit_blur.xml
movit_deconvolution_sharpen.xml
movit_diffusion.xml
movit_flip.xml
movit_glow.xml
movit_lift_gamma_gain.xml
movit_mirror.xml
movit_opacity.xml
movit_rect.xml
movit_saturation.xml
movit_unsharp_mask.xml
movit_vignette.xml
movit_white_balance.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)

=== data/effects/sox/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES 

sox_band.xml
sox_bass.xml
sox_echo.xml
sox_flanger.xml
sox_gain.xml
sox_phaser.xml
sox_stretch.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)

=== debian/changelog ===
kdenlive (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:13:31 +0000

kdenlive (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:43:56 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               ffmpeg,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libimath-dev,
               libkf6archive-dev (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6filemetadata-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkf6solid-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libmlt++-dev (>= 7.14.0~),
               libmlt-dev (>= 7.28.0~),
               libopentimelineio-dev,
               libswresample-dev,
               libv4l-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-svg-dev,
               shared-mime-info,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kdenlive.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         kf6-breeze-icon-theme (>= 6.0.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded6,
         kdenlive-data (= ${source:Version}),
         kio6,
         melt,
         qml6-module-org-kde-desktop,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: frei0r-plugins, mediainfo, swh-plugins,
Suggests: khelpcenter, vlc | xine-ui,
Breaks: kdenlive-data (<< 4:24.12.0~),
Replaces: kdenlive-data (<< 4:24.12.0~),
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends},
Recommends: kdenlive,
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 25.08.3+p24.04+vunstable+git20251203.0344

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 # stable release. An additional number can be used for bugfix-only releases.
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -25,7 +25,17 @@
 option(BUILD_FUZZING "Build fuzzing target" OFF)
 option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ON)
+
+set(FETCH_OTIO_DEFAULT OFF)
+if(BSD)
+    # We don't want to fetch OTIO by default and long term might not even offer this option,
+    # however there is a bug (crash) with the shared builds of OTIO on FreeBSD
+    # Hence we keep the fetching enabled as a stop gap solution on this platform
+    # https://invent.kde.org/multimedia/kdenlive/-/issues/1992
+    set(FETCH_OTIO_DEFAULT ON)
+endif()
+
+option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ${FETCH_OTIO_DEFAULT})
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -39,7 +49,7 @@
 
 # Minimum versions of main dependencies.
 set(MLT_MIN_MAJOR_VERSION 7)
-set(MLT_MIN_MINOR_VERSION 28)
+set(MLT_MIN_MINOR_VERSION 32)
 set(MLT_MIN_PATCH_VERSION 0)
 set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
 
@@ -128,11 +138,14 @@
     Concurrent
     QuickWidgets
     Multimedia
+    MultimediaWidgets
     NetworkAuth
     SvgWidgets
     Xml
     # Test
 )
+
+find_package(KDDockWidgets-qt6 2.4.0 REQUIRED)
 
 if(USE_DBUS)
     find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
@@ -149,12 +162,11 @@
 message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")
 
 # LibAV
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(LIBAV REQUIRED IMPORTED_TARGET
-    libavformat
-    libavcodec
-    libswresample
-    libavutil
+find_package(FFmpeg REQUIRED COMPONENTS
+    AVFORMAT
+    AVCODEC
+    SWRESAMPLE
+    AVUTIL
 )
 
 # OpenTimelineIO
@@ -201,7 +213,7 @@
 
 # Get current version.
 set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
-if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
   # Probably a Git workspace; determine the revision.
   find_package(Git QUIET)
   if(GIT_FOUND)
@@ -209,7 +221,7 @@
 	  ARGS "log -n 1 --pretty=format:\"%h\""
       OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
     message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
-    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
+    set(KDENLIVE_FULL_VERSION_STRING "${KDENLIVE_VERSION} - rev. ${KDENLIVE_GIT_REVISION}")
   else()
     message(STATUS "Kdenlive Git revision could not be determined")
   endif()
@@ -264,6 +276,7 @@
 # Tests
 if(BUILD_TESTING)
     add_subdirectory(tests)
+    add_subdirectory(appiumtests)
 endif()
 if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
     add_subdirectory(fuzzer)

=== debian/changelog ===
kdenlive (4:25.08.3+p24.04+vunstable+git20251203.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 03:44:55 +0000

kdenlive (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:43 +1000

## kdenlive 25.08.3+p24.04+vunstable+git20251206.0740

=== debian/changelog ===
kdenlive (4:25.08.3+p24.04+vunstable+git20251206.0740-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:40:25 +0000

## kdenlive 25.11.80

=== debian/changelog ===
kdenlive (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Build depend on kddockwidgets.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Nov 2025 11:42:45 +0000

## kdenlive 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 # stable release. An additional number can be used for bugfix-only releases.
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -145,7 +145,7 @@
     # Test
 )
 
-find_package(KDDockWidgets-qt6 2.4.0 REQUIRED)
+find_package(KDDockWidgets-qt6 2.3.0 REQUIRED)
 
 if(USE_DBUS)
     find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)

=== debian/changelog ===
kdenlive (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:40 +0000
